<?php

declare(strict_types=1);
use App\Controller\ChatController;
use Hyperf\HttpServer\Router\Router;
use App\Middleware\Auth\FooMiddleware;
Router::addGroup(
    '/chat', function () {
            Router::get('/addContactApply', [ChatController::class, 'addContactApply']);
            Router::post('/updateContactApply', [ChatController::class, 'updateContactApply']);
            Router::get('/getTalkSessionList', [ChatController::class, 'getTalkSessionList']);
            Router::post('/addTalkGroup', [ChatController::class, 'addTalkGroup']);
        },
       ['middleware' => [FooMiddleware::class]]
);

