<?php

declare(strict_types=1);

use App\Controller\LinkController;
use Hyperf\HttpServer\Router\Router;
use App\Middleware\Auth\FooMiddleware;
Router::addGroup(
    '/link', function () {
        Router::get('/getLinkList', [LinkController::class, 'getLinkList']);
        Router::post('/createLink', [LinkController::class, 'createLink']);
        Router::post('/updateLink', [LinkController::class, 'updateLink']);
        Router::post('/delLink', [LinkController::class, 'delLink']);
    },
    ['middleware' => [FooMiddleware::class]]
);
