<?php

namespace App\JsonRpc;

interface PublicRpcServiceInterface
{
    /**
     * @param array $data
     */
    public function getDistrictList(array $data);
    /**
     * @param array $data
     */
    public function getUserLevelList(array $data);
    /**
     * @param array $data
     */
    public function addUserLevel(array $data);

    /**
     * @param array $data
     */
    public function delUserLevel(array $data);

    /**
     * @param array $data
     */
    public function updateUserLevel(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function getLetterOfComplaint(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function addLetterOfComplaint(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function upLetterOfComplaint(array $data);

    /**
     * 用户端更新投诉举报信息
     * @param array $data
     * @return mixed
     */
    public function userUpLetterOfComplaint(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function getLetterOfComplaintInfo(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function delLetterOfComplaint(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getLetterType(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function upLetterType(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function addLetterType(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function delLetterType(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function checkMeasure(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getDepartment(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function getZhinengbumenList(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function addZhinengbumen(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function getZhinengbumen(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function getPidZhinengbumen(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function delZhinengbumen(array $data);

     /**
     * @param array $data
     * @return mixed
     */
    public function modZhinengbumen(array $data);

}
