<?php

declare(strict_types=1);

use App\Controller\WebController;
use Hyperf\HttpServer\Router\Router;
use App\Middleware\Auth\WebMiddleware;
Router::addGroup(
    '/web', function () {
                Router::get('/getWebsiteCategory', [WebController::class, 'getWebsiteCategory']);
                Router::get('/getWebsiteDistrit', [WebController::class, 'getWebsiteDistrit']);
                Router::get('/getWebsiteAdvertisement', [WebController::class, 'getWebsiteAdvertisement']);
                Router::get('/selectWebsiteDepartment', [WebController::class, 'selectWebsiteDepartment']);
                Router::get('/selectWebsiteArea', [WebController::class, 'selectWebsiteArea']);
                Router::get('/getWebsiteArticlett', [WebController::class, 'getWebsiteArticlett']);
                Router::get('/getWebsiteModelArticles', [WebController::class, 'getWebsiteModelArticles']);
                Router::get('/getWebsiteModelCategory', [WebController::class, 'getWebsiteModelCategory']);
                Router::get('/getWebsiteArticlesList', [WebController::class, 'getWebsiteArticlesList']);
                Router::get('/selectWebsiteArticleInfo', [WebController::class, 'selectWebsiteArticleInfo']);

                Router::get('/selectWebsiteLinks', [WebController::class, 'selectWebsiteLinks']);
            },
    ['middleware' => [WebMiddleware::class]]
);
