<?php

return [
    'consumers' => [
        [
            // 用戶中心
            'name' => 'UserService',
            'service' => \App\JsonRpc\UserServiceInterface::class,
            // 直接对指定的节点进行消费，通过下面的 nodes 参数来配置服务提供者的节点信息
            'nodes' => [
                ['host' => '127.0.0.1', 'port' => 9504],
            ],
        ],
        [
            // 权限管理
            'name' => 'AuthorityService',
            'service' => \App\JsonRpc\AuthorityServiceInterface::class,
            // 直接对指定的节点进行消费，通过下面的 nodes 参数来配置服务提供者的节点信息
            'nodes' => [
                ['host' => '127.0.0.1', 'port' => 9504],
            ],
        ],
        [
            // 广告中心
            'name' => 'AdService',
            'service' => \App\JsonRpc\AdServiceInterface::class,
            // 直接对指定的节点进行消费，通过下面的 nodes 参数来配置服务提供者的节点信息
            'nodes' => [
                ['host' => '127.0.0.1', 'port' => 9503],
            ],
        ],
        [
            //网站管理
            'name' => 'WebsiteService',
            'service' => \App\JsonRpc\WebsiteServiceInterface::class,
            // 直接对指定的节点进行消费，通过下面的 nodes 参数来配置服务提供者的节点信息
            'nodes' => [
                ['host' => '127.0.0.1', 'port' => 9502],
            ],
        ],
        [
            //公共方法
            'name' => 'PublicRpcService',
            'service' => \App\JsonRpc\PublicRpcServiceInterface::class,
            // 直接对指定的节点进行消费，通过下面的 nodes 参数来配置服务提供者的节点信息
            'nodes' => [
                ['host' => '127.0.0.1', 'port' => 9502],
            ],
        ],
        [
            //资讯-新闻
            'name' => 'NewsService',
            'service' => \App\JsonRpc\NewsServiceInterface::class,
            // 直接对指定的节点进行消费，通过下面的 nodes 参数来配置服务提供者的节点信息
            'nodes' => [
                ['host' => '127.0.0.1', 'port' => 9505],
            ],
        ],
        [
            //友情链接服务
            'name' => 'LinkService',
            'service' => \App\JsonRpc\LinkServiceInterface::class,
            // 直接对指定的节点进行消费，通过下面的 nodes 参数来配置服务提供者的节点信息
            'nodes' => [
                ['host' => '127.0.0.1', 'port' => 9502],
            ],
        ],
        [
            //友情链接服务
            'name' => 'ChatService',
            'service' => \App\JsonRpc\ChatServiceInterface::class,
            // 直接对指定的节点进行消费，通过下面的 nodes 参数来配置服务提供者的节点信息
            'nodes' => [
                ['host' => '127.0.0.1', 'port' => 9507],
            ],
        ],
        [
            //广告订单服务
            'name' => 'OrderService',
            'service' => \App\JsonRpc\OrderServiceInterface::class,
            // 直接对指定的节点进行消费，通过下面的 nodes 参数来配置服务提供者的节点信息
            'nodes' => [
                ['host' => '127.0.0.1', 'port' => 9508],
            ],
        ],
        [
            //广告订单服务
            'name' => 'CollectorService',
            'service' => \App\JsonRpc\CollectorServiceInterface::class,

            // 直接对指定的节点进行消费，通过下面的 nodes 参数来配置服务提供者的节点信息
            'nodes' => [
                ['host' => '127.0.0.1', 'port' => 9509],
            ],
        ],
    ],
];
